/*
	Bill Rouady
	Netscape Communications, Inc.
	July, 1996
 */
import l3d.*;
import java.awt.*;
import java.applet.Applet;
import netscape.javascript.JSObject;

/**
 */
public class exampleScene extends Applet implements Runnable {

	L3DScene l3d;
	L3DObject cubeObject;

	int animateState = 1;
	int headlightState = 1;
	
	Thread sceneThread;

    public void init() {

		setLayout(new GridLayout(1,3));

		add(new Button("Animation"));
		add(new Button("Headlight"));
		add(new Button("Background"));

        l3d = (L3DScene)getDocument().getMember("l3d");
        while(cubeObject == null) {
        	cubeObject = l3d.getObject("testcube");
		}

    }

    public void start() {

		if(sceneThread == null) {
	    	sceneThread = new Thread(this);
	    	sceneThread.start();
		}

    }

	public void run() {

		while(sceneThread != null) {

		}
	}

	public void stop() {

		sceneThread.stop();
		sceneThread = null;

	}

	public void destroy() {

	}

    public boolean action(Event evt, Object arg) {

        if(evt.target instanceof Button) {

            if((String)arg == "Animation") {

				if(animateState==0) {
					animateState = 1;
				}
				else {
					animateState = 0;
				}

				l3d.setAnimationMode(animateState);

				return true;
            }

            if((String)arg == "Headlight") {

				if(headlightState==0) {
					headlightState = 1;
				}
				else {
					headlightState = 0;
				}

				l3d.setHeadlightState(headlightState);

				return true;
            }

            if((String)arg == "Background") {

				l3d.setBackgroundColor((float)(Math.random()), (float)(Math.random()), (float)(Math.random()));

				return true;
            }

			return false;
		}

		return false;
	}


	public JSObject getDocument() {
		return (JSObject)JSObject.getWindow(this).getMember("document");
	}

}
    

